<?php

/* VC Mapper for FB Events Calendar */
class FBCAL_VC_Map
{
    function __construct() {
        add_action('vc_before_init', array(&$this,
            'vc_map'
        ));
    }
    function vc_map() {
        $modes = apply_filters('fbcal_display_modes', array());
        $display_modes = array();
        foreach ($modes as $mode => $label) {
            $display_modes[$label['label']] = $mode;
        }
        $YN = array(
            "Yes" => "yes",
            "No" => "no"
        );
        vc_map(array(
            'name' => __('Facebook Events', 'wppress') ,
            'base' => 'fb-cal',
            'is_container' => false,
            'icon' => 'icon-wpb-balloon-facebook-left',
            'show_settings_on_create' => true,
            'category' => __('Social', 'facebook-events') ,
            'description' => __('Facebook Events Calendar', 'facebook-events') ,
            'params' => array(
                array(
                    'type' => 'textfield',
                    'heading' => __('ID', 'facebook-events') ,
                    'param_name' => 'id',
                    'description' => __('Separate with commas for multiple IDs.', 'facebook-events') ,
                    'admin_label' => true,
                ) ,
                array(
                    'type' => 'dropdown',
                    'heading' => __('Mode', 'facebook-events') ,
                    'param_name' => 'mode',
                    'value' => $display_modes,
                    'description' => __('Select display mode for the events calendar', 'facebook-events') ,
                    'admin_label' => true,
                    'not_empty' => true,
                    'group' => "Display"
                ) ,
                array(
                    'type' => 'dropdown',
                    'heading' => __('Show Calendar', 'facebook-events') ,
                    'param_name' => 'show_event_calendar',
                    'value' => $YN,
                    'description' => __('Select display mode for the events calendar', 'facebook-events') ,
                    'admin_label' => true,
                    'not_empty' => true,
                    
                    'group' => "Display"
                ) ,
                array(
                    'type' => 'dropdown',
                    'heading' => __('Hide Past Events', 'facebook-events') ,
                    'param_name' => 'hide_past_events',
                    'value' => $YN,
                    'description' => __('Hide past events', 'facebook-events') ,
                    'admin_label' => true,
                    'not_empty' => true,
                    'group' => "Display"
                ) ,
                array(
                    'type' => 'dropdown',
                    'heading' => __('Attending', 'facebook-events') ,
                    'param_name' => 'include_attending',
                    'value' => $YN,
                    'description' => __('Show attending events.', 'facebook-events') ,
                    'not_empty' => true,
                    
                    'admin_label' => true,
                ) ,
                array(
                    'type' => 'dropdown',
                    'heading' => __('Cover Image', 'facebook-events') ,
                    'param_name' => 'show_event_cover',
                    'value' => $YN,
                    'description' => __('Show events cover image.', 'facebook-events') ,
                    'admin_label' => true,
                    'not_empty' => true,
                    
                    'group' => "Display"
                ) ,
                array(
                    'type' => 'dropdown',
                    'heading' => __('Lightbox', 'facebook-events') ,
                    'param_name' => 'show_in_popup',
                    'value' => $YN,
                    'description' => __('Open event in lightbox.', 'facebook-events') ,
                    'admin_label' => true,
                    'not_empty' => true,
                    
                    'group' => "Display"
                ) ,
                array(
                    'type' => 'dropdown',
                    'heading' => __('Event Date', 'facebook-events') ,
                    'param_name' => 'show_event_date',
                    'value' => $YN,
                    'description' => __('Display Event Date', 'facebook-events') ,
                    'admin_label' => true,
                    'not_empty' => true,
                    
                    'group' => "Display"
                ) ,
                array(
                    'type' => 'dropdown',
                    'heading' => __('Event Venue', 'facebook-events') ,
                    'param_name' => 'show_event_venue',
                    'value' => $YN,
                    'description' => __('Display Event Venue', 'facebook-events') ,
                    'admin_label' => true,
                    'not_empty' => true,
                    
                    'group' => "Display"
                ) ,
                array(
                    'type' => 'dropdown',
                    'heading' => __('Event Map', 'facebook-events') ,
                    'param_name' => 'show_event_map',
                    'value' => $YN,
                    'description' => __('Display Event Map', 'facebook-events') ,
                    'admin_label' => true,
                    'not_empty' => true,
                    
                    'group' => "Display"
                ) ,
            ) ,
        ));
    }
}
new FBCAL_VC_Map();
