<style>
ul.inline-pills li {
	display: inline-block;
	margin-right: 15px;
}
h3 sup{
	font-size: 70%;
	font-weight:300;
	margin-left:5px;
}
</style>
<div class="wrap" id="top">
	<h2><?php _e('Facebook Event Calendar - Help','facebook-events'); ?></h2>
	<br/>
	<ul class="inline-pills">
		<li>
			<a href="#integration"> Integration</a></li>
		<li>
			<a href="#custom-fb-app"> How to create your own Facebook APP</a></li>
		<li>
			<a href="#faqs">F.A.Qs</a></li>
	</ul>
	<h3 id="integration">Integration <a href="#top"><sup>Top</sup></a></h3>
	<p><strong>Facebook Events Calendar - WordPress</strong> can be integrated into the WordPress website via Shortcode <code>[fb-cal <em>..options..</em>]</code> or <a href="widgets.php">Widget</a></p>
	<h3>Shortcode Options</h3>
	<ol>
		<li>
			<p><strong>id</strong> <em>(int)</em>: Enter Facebook ID for Page, profile or group of which you want to show event in the calendar. If not passed, default ID from plugin admin page would be used instead.</p>
			<p><em>[fb-cal id="12345667890"]</em></p>
		</li>
		<li>
			<p><strong>include_attending</strong> <em>(yes/no) (default: no)</em>: Whether to include events that are marked attending by the user who authorized the APP in plugin admin page. The events/creator page/group should be public else event won't be shown in the calendar.</p>
			<p><em>[fb-cal include_attending="no"]</em></p>
		</li>
		<li>
			<p><strong>show_event_calendar</strong> <em>(yes/no) (default: yes)</em>: Display Calendar dates above events list.</p>
			<p><em>[fb-cal show_event_calendar="yes"]</em></p>
		</li>
		<li>
			<p><strong>show_event_cover</strong> <em>(yes/no) (default: yes)</em>: Display Event cover page in the event list.</p>
			<p><em>[fb-cal show_event_cover="yes"]</em></p>
		</li>
		<li>
			<p><strong>show_event_date</strong> <em>(yes/no) (default: yes)</em>: Display Event date in the event list.</p>
			<p><em>[fb-cal show_event_date="yes"]</em></p>
		</li>
		<li>
			<p><strong>show_event_venue</strong> <em>(yes/no) (default: yes)</em>: Display Event venue/location in the event list.</p>
			<p><em>[fb-cal show_event_venue="yes"]</em></p>
		</li>
		<li>
			<p><strong>hide_past_events</strong> <em>(yes/no) (default: no)</em>: Hide past events from the calendar.</p>
			<p><em>[fb-cal hide_past_events="no"]</em></p>
		</li>
		<li>
			<p><strong>show_event_map</strong> <em>(yes/no) (default: yes)</em>: Show event map link and in event popup if enabled</p>
			<p><em>[fb-cal show_event_map="yes"]</em></p>
		</li>
		<li>
			<p><strong>show_in_popup</strong> <em>(yes/no) (default: yes)</em>: Show event detail in popup or else open Facebook Event page in new window/tab</p>
			<p><em>[fb-cal show_in_popup="yes"]</em></p>
		</li>
		<li>
			<p><strong>mode</strong> <em>(calendar/list) (default: calendar)</em>: Display mode for calendar</p>
			<p><em>[fb-cal mode="calendar"]</em></p>
		</li>
	</ol>
	<h3 id="custom-fb-app">How to create your own Facebook APP <a href="#top"><sup>Top</sup></a></h3>
	<ol>
		<li>
			<p>Go to <a href="https://developers.facebook.com/apps/" target="_blank">https://developers.facebook.com/apps/</a></p>
		</li>
		<li>
			<p>Click on <b>Add A New App</b> button in green on top-right corner</p>
			<p><img src="<?php echo $this->p_url('images/step-1.png'); ?>" /></p>
		</li>
		<li>
			<p>Click on <b>Website</b></p>
			<p><img src="<?php echo $this->p_url('images/step-2.png'); ?>" /></p>
		</li>
		<li>
			<p>Fill in Details and click on <b>Create APP ID</b></p>
			<p><img src="<?php echo $this->p_url('images/step-3.png'); ?>" /></p>
		</li>
		<li>
			<p>Go to Setting of the app you just created </p>
			<p><img src="<?php echo $this->p_url('images/step-4.png'); ?>" /></p>
		</li>
		<li>
			<p>Click on Add Platform and select website</p>
			<p><img src="<?php echo $this->p_url('images/step-5.png'); ?>" /></p>
		</li>
		<li>
			<p>Enter Website url with https:// or https:// <em>(eg: http://wppress.net)</em> in <b>Site URL</b> field</p>
			<p>Enter App Domain name (wihout http:// or https://) (eg: wppress.net) in <b>App Domains</b> field</p>
			<p><img src="<?php echo $this->p_url('images/step-6.png'); ?>" /></p>
		</li>
		<li>
			<p>Hit <strong>Save Changes</strong></p>
		</li>
		<li>
			<p>Now, copy APP ID and APP Secret and enter those in respective fields in <a href="admin.php?page=fb_events_calendar">Plugin settings page</a> then save changes. Those fields should appear once you tick <b>"I will setup with my own Facebook APP."</b> checkbox</p>
		</li>
		<li>
			<p>Once your APP ID and APP Secret has been saved, go ahead and Authorize the App by clicking on <b>Authenticate with Facebook Account</b> button. You might get some warnings that the app is not live or is in test mode, but that shoudld work totally fine if you authorize the APP with your own account.</p>
		</li>
	</ol>
	<h3 id="faqs">F.A.Qs <a href="#top"><sup>Top</sup></a></h3>
	<ol>
		<li>
			<p><strong>Calendar appears and then disappears. Why?</strong></p>
			<p>Its likely due to conflict with theme or other plugin javascript files. Try deactivating other plugin that is causing the problem or the one you suspect is causing the conflict.</p>
		</li>
		<li>
			<p><strong>My calendar isn't loading events but they are in my Facebook Page/Profile</strong></p>
			<p>First, make sure you have Authorized the app with your Facebook account in <a href="admin.php?page=fb_events_calendar">Plugin settings page</a>. The page/profile/group has to be public. Facebook won't allow private events to be pulled via API unless you are admin of that certain page. If you own the event host page that has private events, then make sure you follow instructions to setup your own Facebook APP ID to use with this plugin so there is no privacy restriction to access private data.</p>
		</li>
		<li>
			<p><strong>My dashboard says the access token has expired. Why?</strong></p>
			<p>There is nothing we can do about it. Its Facebook API that is causing it to expire. This plugin attempts to renew the access token before they expire but that may not succeed as that happens with WP Cron Jobs. You can find when the access token will expire by clicking on "Debug Access Token" after you have authorized with your Facebook Account.</p>
		</li>
		<li>
			<p><strong>My wp-admin dashboard says the access token has expired. Why?</strong></p>
			<p>There is nothing we can do about it. Its Facebook API that is causing it to expire. This plugin attempts to renew the access token before they expire but that may not succeed as that happens with WP Cron Jobs. You can find when the access token will expire by clicking on "Debug Access Token" after you have authorized with your Facebook Account.</p>
		</li>
		<li>
			<p><strong>My wp-admin dashboard says the access token has expired. Why?</strong></p>
			<p>There is nothing we can do about it. Its Facebook API that is causing it to expire. This plugin attempts to renew the access token before they expire but that may not succeed as that happens with WP Cron Jobs. You can find when the access token will expire by clicking on "Debug Access Token" after you have authorized with your Facebook Account.</p>
		</li>
	</ol>
</div>
